Subject: Re: [PATCH 3/20][BNX2]: Add 40-bit DMA workaround for 5708.

From: Jeff Garzik <[email-masked]>
Date: Wed, 02 May 2007 16:30:36 -0400

Michael Chan wrote:
> If CONFIG_HIGHMEM is not set,
> wouldn't the device get > 32-bit DMA addresses that it cannot handle?

No -- presuming your PCI device's DMA mask is set correctly.

> I know that there are 64-bit systems without IOMMUs.  That's why we need
[...]
> needed or not.  These systems without IOMMU must support 32-bit only
> cards, right?  How do they do that if they are not using CONFIG_HIGHMEM?

pci_set_dma_mask()

	Jeff